import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  CreateCacheParameterGroupMessage,
  CreateCacheParameterGroupResult,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface CreateCacheParameterGroupCommandInput
  extends CreateCacheParameterGroupMessage {}
export interface CreateCacheParameterGroupCommandOutput
  extends CreateCacheParameterGroupResult,
    __MetadataBearer {}
declare const CreateCacheParameterGroupCommand_base: {
  new (
    input: CreateCacheParameterGroupCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateCacheParameterGroupCommandInput,
    CreateCacheParameterGroupCommandOutput,
    ElastiCacheClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: CreateCacheParameterGroupCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateCacheParameterGroupCommandInput,
    CreateCacheParameterGroupCommandOutput,
    ElastiCacheClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreateCacheParameterGroupCommand extends CreateCacheParameterGroupCommand_base {
  protected static __types: {
    api: {
      input: CreateCacheParameterGroupMessage;
      output: CreateCacheParameterGroupResult;
    };
    sdk: {
      input: CreateCacheParameterGroupCommandInput;
      output: CreateCacheParameterGroupCommandOutput;
    };
  };
}
