import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  IncreaseReplicaCountMessage,
  IncreaseReplicaCountResult,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface IncreaseReplicaCountCommandInput
  extends IncreaseReplicaCountMessage {}
export interface IncreaseReplicaCountCommandOutput
  extends IncreaseReplicaCountResult,
    __MetadataBearer {}
declare const IncreaseReplicaCountCommand_base: {
  new (
    input: IncreaseReplicaCountCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    IncreaseReplicaCountCommandInput,
    IncreaseReplicaCountCommandOutput,
    ElastiCacheClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: IncreaseReplicaCountCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    IncreaseReplicaCountCommandInput,
    IncreaseReplicaCountCommandOutput,
    ElastiCacheClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class IncreaseReplicaCountCommand extends IncreaseReplicaCountCommand_base {
  protected static __types: {
    api: {
      input: IncreaseReplicaCountMessage;
      output: IncreaseReplicaCountResult;
    };
    sdk: {
      input: IncreaseReplicaCountCommandInput;
      output: IncreaseReplicaCountCommandOutput;
    };
  };
}
