import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  PurchaseReservedCacheNodesOfferingMessage,
  PurchaseReservedCacheNodesOfferingResult,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface PurchaseReservedCacheNodesOfferingCommandInput
  extends PurchaseReservedCacheNodesOfferingMessage {}
export interface PurchaseReservedCacheNodesOfferingCommandOutput
  extends PurchaseReservedCacheNodesOfferingResult,
    __MetadataBearer {}
declare const PurchaseReservedCacheNodesOfferingCommand_base: {
  new (
    input: PurchaseReservedCacheNodesOfferingCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PurchaseReservedCacheNodesOfferingCommandInput,
    PurchaseReservedCacheNodesOfferingCommandOutput,
    ElastiCacheClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: PurchaseReservedCacheNodesOfferingCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PurchaseReservedCacheNodesOfferingCommandInput,
    PurchaseReservedCacheNodesOfferingCommandOutput,
    ElastiCacheClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class PurchaseReservedCacheNodesOfferingCommand extends PurchaseReservedCacheNodesOfferingCommand_base {
  protected static __types: {
    api: {
      input: PurchaseReservedCacheNodesOfferingMessage;
      output: PurchaseReservedCacheNodesOfferingResult;
    };
    sdk: {
      input: PurchaseReservedCacheNodesOfferingCommandInput;
      output: PurchaseReservedCacheNodesOfferingCommandOutput;
    };
  };
}
