import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  CompleteMigrationMessage,
  CompleteMigrationResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface CompleteMigrationCommandInput
  extends CompleteMigrationMessage {}
export interface CompleteMigrationCommandOutput
  extends CompleteMigrationResponse,
    __MetadataBearer {}
declare const CompleteMigrationCommand_base: {
  new (
    input: CompleteMigrationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CompleteMigrationCommandInput,
    CompleteMigrationCommandOutput,
    ElastiCacheClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: CompleteMigrationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CompleteMigrationCommandInput,
    CompleteMigrationCommandOutput,
    ElastiCacheClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CompleteMigrationCommand extends CompleteMigrationCommand_base {
  protected static __types: {
    api: {
      input: CompleteMigrationMessage;
      output: CompleteMigrationResponse;
    };
    sdk: {
      input: CompleteMigrationCommandInput;
      output: CompleteMigrationCommandOutput;
    };
  };
}
