import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  CreateCacheSecurityGroupMessage,
  CreateCacheSecurityGroupResult,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface CreateCacheSecurityGroupCommandInput
  extends CreateCacheSecurityGroupMessage {}
export interface CreateCacheSecurityGroupCommandOutput
  extends CreateCacheSecurityGroupResult,
    __MetadataBearer {}
declare const CreateCacheSecurityGroupCommand_base: {
  new (
    input: CreateCacheSecurityGroupCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateCacheSecurityGroupCommandInput,
    CreateCacheSecurityGroupCommandOutput,
    ElastiCacheClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: CreateCacheSecurityGroupCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateCacheSecurityGroupCommandInput,
    CreateCacheSecurityGroupCommandOutput,
    ElastiCacheClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreateCacheSecurityGroupCommand extends CreateCacheSecurityGroupCommand_base {
  protected static __types: {
    api: {
      input: CreateCacheSecurityGroupMessage;
      output: CreateCacheSecurityGroupResult;
    };
    sdk: {
      input: CreateCacheSecurityGroupCommandInput;
      output: CreateCacheSecurityGroupCommandOutput;
    };
  };
}
